Subject: RE: col missing from cygwin
From: "Kevin Wright" <[email-masked]>
To: "Brad Barber" <[email-masked]>
Cc: "Cygwin-Mailing-List" <[email-masked]>
Date: Tue, 27 Mar 2001 09:49:35 -0800

Brad,

According to my notes, I got the col.exe file from:

http://www10.u-page.so-net.ne.jp/fa2/riue-s/files/util-cygwin-1.0.tar.gz

The create a printable man page, I do this (similar to what you said):

man ls | col -b > ls.man

Hope this helps,

--Kevin

> -----Original Message-----
> From: Brad Barber [mailto:[email-masked]]
> Sent: Tuesday, March 27, 2001 6:37 AM
> To: Kevin Wright; [email-masked]
> Subject: RE: col missing from cygwin
> 
> 
> At 06:23 PM Monday 3/26/2001, you wrote:
> >Brad,
> >
> >If you look in the file /usr/lib/man.conf, you will find the 
> >following note:
> >
> ># Useful paths - note that COL should not be defined when
> ># NROFF is defined as "groff -Tascii" or "groff -Tlatin1";
> ># not only is it superfluous, but it actually damages the output.
> >#
> >
> >This is the reason that the path for col is commented out. I have
> >tried with col (that I compiled) and didn't see any improvement,
> >so I commented out again.
> 
> Thanks Larry and Kevin for your replies.  
> 
> 'col' is not compiled for the cygwin binary distribution.  I don't know
> what package it belongs to.  
> 
> If I run
>         man find >x.txt
> and look at x.txt with Notepad, I get   
> 
> FIND(1L)                                                 FIND(1L)
> 
> NNAAMMEE
>        find - search for files in a directory hierarchy
> 
> SSYYNNOOPPSSIISS
>        ffiinndd [path...] [expression]
> 
> DDEESSCCRRIIPPTTIIOONN
>        This  manual page documents the GNU version of ffiinndd.  ffiinndd
> <clip>
> 
> The unprintables are backspaces for enhancing the screen display of
> the page.  For straight ascii text, Unix in a Nutshell recommends using
>         man find | col -b
> This is what I use on Unix systems.  It works well.
> 
> I was not able to find an option for 'man' that generates 
> straight ascii text.
> 
>                                                         --Brad (tcsh)
> 
> 
> >--Kevin
> >
> >> -----Original Message-----
> >> From: [email-masked]
> >> [mailto:[email-masked]]On Behalf Of Brad Barber
> >> Sent: Monday, March 26, 2001 2:56 PM
> >> To: [email-masked]
> >> Subject: col missing from cygwin
> >> 
> >> 
> >> I noticed that the 'col' command is missing from cygwin.
> >> It is useful for turning man pages into text files without backspaces,
> >> e.g., 
> >>       man find | col -b
> >> 
> >> This is recommended by Unix in a Nutshell.
> >> 
> >>                                               --Brad (tcsh)
> >> 
> >> 
> >> --
> >> Want to unsubscribe from this list?
> >> Check out: http://cygwin.com/ml/#unsubscribe-simple
> >> 
> >> 
> 
> 

--
Want to unsubscribe from this list?
Check out: http://cygwin.com/ml/#unsubscribe-simple